%{?nodejs_find_provides_and_requires}

%global packagename mock-bin

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-mock-bin
Version:	1.0.1
Release:	1%{?dist}
Summary:	Mock any executable binary

License:	MIT
URL:		https://github.com/stevemao/mock-bin
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/stevemao/mock-bin/v%{version}/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(cmd-shim)
BuildRequires:	npm(pify)
BuildRequires:	npm(pinkie-promise)
BuildRequires:	npm(shebang-regex)
BuildRequires:	npm(shelljs)
BuildRequires:	npm(temp-write)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Mock any executable binary


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep temp-write

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun May  7 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
